#ifndef GLT_PLAYBACK
#define GLT_PLAYBACK

#include <misc/timer.h>

#include <vector>

#include "terminal.h"

class GltPlayback
{
public:
	GltPlayback(GltNoteTerminal &terminal);
	GltPlayback(GltNoteTerminal &terminal,unsigned char *buffer,int size);
	~GltPlayback();

	void record();
	void clear();
	void play();
	void flush();

	unsigned int tick();

	void OnKeyboard(unsigned char key);
	void OnSpecial(int key);

	void copy(void *,int size);

private:
	GltNoteTerminal            &_terminal;
	std::vector<unsigned char>  _buffer;

	bool                        _record;
	bool                        _play;

	Timer                       _timer;

	int                         _pos;
};

#endif
